summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Edward W. Koenig2018-04-05 18:39:44 +0200
committer Willy Sudiarto Raharjo2018-04-07 03:13:11 +0200
commitd1f99d7fd0c38522c59c3d10aee13e10932bfcdb (patch)
tree11efffa864365d101d0c0a7790f8c7ac319f3ee1 /libraries
parent09cdb448a98a1fdde5056ba3851e4f910e6feae8 (diff)
downloadslackbuilds-d1f99d7fd0c38522c59c3d10aee13e10932bfcdb.tar.gz
libraries/libindi: Added (Instrument Neutral Distributed Interface).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libindi/README9
-rw-r--r--libraries/libindi/libindi.SlackBuild101
-rw-r--r--libraries/libindi/libindi.info10
-rw-r--r--libraries/libindi/slack-desc19
4 files changed, 139 insertions, 0 deletions
diff --git a/libraries/libindi/README b/libraries/libindi/README
new file mode 100644
index 0000000000..eaaf714086
--- /dev/null
+++ b/libraries/libindi/README
@@ -0,0 +1,9 @@
+INDI is a distributed control protocol designed to operate astronomical
+instrumentation. INDI is small, flexible, easy to parse, and scalable.
+It supports common DCS functions such as remote control, data acquisition,
+monitoring, and a lot more.
+
+This script builds the library that KDE KStars and similar programs can
+use for image capture in astrophotography, telescope control, etc.
+
+You will need libindi-drivers (also on SBo) to fully utilize INDI hardware.
diff --git a/libraries/libindi/libindi.SlackBuild b/libraries/libindi/libindi.SlackBuild
new file mode 100644
index 0000000000..a0f02c7d41
--- /dev/null
+++ b/libraries/libindi/libindi.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for libindi
+
+# Copyright 2018 Edward W. Koenig, Vancouver, WA, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libindi
+VERSION=${VERSION:-1.6.2}
+SRC=${PRGNAM}_${VERSION}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $P
+tar xvf $CWD/$SRC.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+export LDFLAGS="-lbz2"
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DINCLUDE_INSTALL_DIR=/usr/include \
+ -DUDEVRULES_INSTALL_DIR=/lib/udev/rules.d \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING.* INSTALL LICENSE README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libindi/libindi.info b/libraries/libindi/libindi.info
new file mode 100644
index 0000000000..b9e88a7269
--- /dev/null
+++ b/libraries/libindi/libindi.info
@@ -0,0 +1,10 @@
+PRGNAM="libindi"
+VERSION="1.6.2"
+HOMEPAGE="http://www.indilib.org"
+DOWNLOAD="https://github.com/indilib/indi/releases/download/v1.6.2/libindi_1.6.2.tar.gz"
+MD5SUM="56dd859175312a2f6af7b359578e9edb"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libnova cfitsio"
+MAINTAINER="Edward W. Koenig"
+EMAIL="kingbeowulf@gmail.com"
diff --git a/libraries/libindi/slack-desc b/libraries/libindi/slack-desc
new file mode 100644
index 0000000000..c87128e6cc
--- /dev/null
+++ b/libraries/libindi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libindi: libindi (Instrument Neutral Distributed Interface)
+libindi:
+libindi: INDI is a distributed control protocol designed to operate
+libindi: astronomical instrumentation. INDI is small, flexible, easy to parse,
+libindi: and scalable. It supports common DCS functions such as remote control,
+libindi: data acquisition, monitoring, and a lot more.
+libindi:
+libindi: http://www.indilib.org/
+libindi:
+libindi:
+libindi: